Debian Bug report logs - #650998
Multi-Arch support, .la file removal, DEP5 corrections

version graph

Package: libexif; Maintainer for libexif is Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>;

Reported by: Kees Cook <kees@debian.org>

Date: Sun, 4 Dec 2011 22:42:01 UTC

Severity: normal

Tags: patch

Found in version 0.6.20-1

Fixed in version libexif/0.6.20-2

Done: Emmanuel Bouthenot <kolter@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>:
Bug#650998; Package libexif. (Sun, 04 Dec 2011 22:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kees Cook <kees@debian.org>:
New Bug report received and forwarded. Copy sent to Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>. (Sun, 04 Dec 2011 22:42:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kees Cook <kees@debian.org>
To: Debian Bugs <submit@bugs.debian.org>
Subject: Multi-Arch support, .la file removal, DEP5 corrections
Date: Sun, 4 Dec 2011 14:39:03 -0800
[Message part 1 (text/plain, inline)]
Package: libexif
Version: 0.6.20-1
Severity: normal
Tags: patch

Hi!

And the Portland Bug Squashing Party today, I've added Multi-Arch support
to libexif, as well as cleaning up the DEP5 copyright file and some lintian
warnings I saw.

Attached is the patch to support the release goals for .la file removal and
multi-arch support.

Thanks!

-Kees

-- 
Kees Cook                                            @debian.org
[libexif_0.6.20-2.debdiff (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>:
Bug#650998; Package libexif. (Mon, 05 Dec 2011 01:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Wilk <jwilk@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>. (Mon, 05 Dec 2011 01:18:04 GMT) Full text and rfc822 format available.

Message #10 received at 650998@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: Kees Cook <kees@debian.org>, 650998@bugs.debian.org
Subject: Re: Bug#650998: Multi-Arch support, .la file removal, DEP5 corrections
Date: Mon, 5 Dec 2011 02:15:32 +0100
(I'm not the maintainer of this package.)

* Kees Cook <kees@debian.org>, 2011-12-04, 14:39:
> Package: libexif-dev
> Section: libdevel
> Architecture: any
>+Multi-Arch: same

This is incorrect. The -dev package includes HTML documentation which is 
generated at build time. The HTML documents have embedded timestamps, 
which will, of course, differ across architectures.

>+Pre-Depends: ${misc:Pre-Depends}

This shouldn't be needed for the -dev package.

>--- libexif-0.6.20/debian/libexif-dev.install	2011-04-10 08:51:31.000000000 -0700
>+++ libexif-0.6.20/debian/libexif-dev.install	2011-12-04 13:57:25.000000000 -0800
>@@ -1,4 +1,4 @@
>-libexif.pc usr/lib/pkgconfig
>+usr/lib/*/pkgconfig/*
> usr/include/libexif/*
>-usr/lib/lib*.{a,la,so}
>+usr/lib/*/lib*.[a|so]

Ooops. After this change the package doesn't contain the .so symlink 
anymore.

-- 
Jakub Wilk




Information forwarded to debian-bugs-dist@lists.debian.org, Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>:
Bug#650998; Package libexif. (Mon, 05 Dec 2011 01:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kees Cook <kees@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>. (Mon, 05 Dec 2011 01:33:03 GMT) Full text and rfc822 format available.

Message #15 received at 650998@bugs.debian.org (full text, mbox):

From: Kees Cook <kees@debian.org>
To: 650998@bugs.debian.org
Cc: Jakub Wilk <jwilk@debian.org>
Subject: Re: Bug#650998: Multi-Arch support, .la file removal, DEP5 corrections
Date: Sun, 4 Dec 2011 17:24:59 -0800
[Message part 1 (text/plain, inline)]
On Mon, Dec 05, 2011 at 02:15:32AM +0100, Jakub Wilk wrote:
> (I'm not the maintainer of this package.)

Thanks for looking these over!

> This is incorrect. The -dev package includes HTML documentation
> which is generated at build time. The HTML documents have embedded
> timestamps, which will, of course, differ across architectures.

Ugh, good point.

> >-usr/lib/lib*.{a,la,so}
> >+usr/lib/*/lib*.[a|so]
> 
> Ooops. After this change the package doesn't contain the .so symlink
> anymore.

Urg. Okay, switched to multiple lines instead. Should check the libdv4
multiarch patch too, it might have the same problem.

Updated debdiff attached...

Thanks!

-Kees

-- 
Kees Cook                                            @debian.org
[libexif_0.6.20-2.debdiff (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>:
Bug#650998; Package libexif. (Sun, 01 Jan 2012 22:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Mühlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>. (Sun, 01 Jan 2012 22:24:06 GMT) Full text and rfc822 format available.

Message #20 received at 650998@bugs.debian.org (full text, mbox):

From: Moritz Mühlenhoff <jmm@inutil.org>
To: Kees Cook <kees@debian.org>
Cc: 650998@bugs.debian.org, Jakub Wilk <jwilk@debian.org>
Subject: Re: Bug#650998: Multi-Arch support, .la file removal, DEP5 corrections
Date: Sun, 1 Jan 2012 23:23:21 +0100
On Sun, Dec 04, 2011 at 05:24:59PM -0800, Kees Cook wrote:
> On Mon, Dec 05, 2011 at 02:15:32AM +0100, Jakub Wilk wrote:
> > (I'm not the maintainer of this package.)
> 
> Thanks for looking these over!
> 
> > This is incorrect. The -dev package includes HTML documentation
> > which is generated at build time. The HTML documents have embedded
> > timestamps, which will, of course, differ across architectures.
> 
> Ugh, good point.
> 
> > >-usr/lib/lib*.{a,la,so}
> > >+usr/lib/*/lib*.[a|so]
> > 
> > Ooops. After this change the package doesn't contain the .so symlink
> > anymore.
> 
> Urg. Okay, switched to multiple lines instead. Should check the libdv4
> multiarch patch too, it might have the same problem.
> 
> Updated debdiff attached...

I've confirmed in a local build that this patch also properly enables
hardened build flags.

Cheers,
        Moritz




Information forwarded to debian-bugs-dist@lists.debian.org, Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>:
Bug#650998; Package libexif. (Thu, 05 Jan 2012 20:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Emmanuel Bouthenot <kolter@openics.org>:
Extra info received and forwarded to list. Copy sent to Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>. (Thu, 05 Jan 2012 20:12:03 GMT) Full text and rfc822 format available.

Message #25 received at 650998@bugs.debian.org (full text, mbox):

From: Emmanuel Bouthenot <kolter@openics.org>
To: Kees Cook <kees@debian.org>, 650998@bugs.debian.org
Subject: Re: [Pkg-phototools-devel] Bug#650998: Multi-Arch support, .la file removal, DEP5 corrections
Date: Thu, 5 Jan 2012 21:09:52 +0100
Hi Kees,

On Sun, Dec 04, 2011 at 02:39:03PM -0800, Kees Cook wrote:
[...]

> Attached is the patch to support the release goals for .la file removal and
> multi-arch support.
Thanks for your patch, I will include it in the next upload which should
occur within a few days.

Regards,

M.

-- 
Emmanuel Bouthenot
  mail: kolter@{openics,debian}.org    gpg: 4096R/0x929D42C3
  xmpp: kolter@im.openics.org          irc: kolter@{freenode,oftc}





Reply sent to Emmanuel Bouthenot <kolter@debian.org>:
You have taken responsibility. (Fri, 27 Jan 2012 20:57:20 GMT) Full text and rfc822 format available.

Notification sent to Kees Cook <kees@debian.org>:
Bug acknowledged by developer. (Fri, 27 Jan 2012 20:57:20 GMT) Full text and rfc822 format available.

Message #30 received at 650998-close@bugs.debian.org (full text, mbox):

From: Emmanuel Bouthenot <kolter@debian.org>
To: 650998-close@bugs.debian.org
Subject: Bug#650998: fixed in libexif 0.6.20-2
Date: Fri, 27 Jan 2012 20:53:20 +0000
Source: libexif
Source-Version: 0.6.20-2

We believe that the bug you reported is fixed in the latest version of
libexif, which is due to be installed in the Debian FTP archive:

libexif-dev_0.6.20-2_amd64.deb
  to main/libe/libexif/libexif-dev_0.6.20-2_amd64.deb
libexif12_0.6.20-2_amd64.deb
  to main/libe/libexif/libexif12_0.6.20-2_amd64.deb
libexif_0.6.20-2.debian.tar.gz
  to main/libe/libexif/libexif_0.6.20-2.debian.tar.gz
libexif_0.6.20-2.dsc
  to main/libe/libexif/libexif_0.6.20-2.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 650998@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Emmanuel Bouthenot <kolter@debian.org> (supplier of updated libexif package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Fri, 27 Jan 2012 20:34:17 +0000
Source: libexif
Binary: libexif-dev libexif12
Architecture: source amd64
Version: 0.6.20-2
Distribution: unstable
Urgency: low
Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Changed-By: Emmanuel Bouthenot <kolter@debian.org>
Description: 
 libexif-dev - library to parse EXIF files (development files)
 libexif12  - library to parse EXIF files
Closes: 650998
Changes: 
 libexif (0.6.20-2) unstable; urgency=low
 .
   [ Kees Cook ]
 .
   * debian/copyright: fix empty lines in multi-line section, add missing
     intended "license" lines, add missing BSD license for pt_BR.po.
   * debian/libexif-dev.install:
     - use multiple lines instead of technically unsupported {}.
     - remove .la file, per release goal; there are no build dep using it.
   * debian/{control,compat,*.install,rules}: build for Multi-Arch support
     (Closes: #650998)
 .
   [ Emmanuel Bouthenot ]
 .
   * Bump Standards-Version to 3.9.2
   * Remove DMUA field (no more needed)
   * Update debian/rules to enable usage of autotools_dev sequence with
     debhelper
   * Switch debhelper compatibility to 9
   * Update Vcs-Git and Vcs-Browser fields
Checksums-Sha1: 
 f3124e4df72ffd04cb6e5f174e54d171854fc4f6 2061 libexif_0.6.20-2.dsc
 70e6be854065a0d3f8d542c10e889c4f2abd2a58 8749 libexif_0.6.20-2.debian.tar.gz
 348c90cb993c1daafadc47b82c7a06da9f484f89 385766 libexif-dev_0.6.20-2_amd64.deb
 23b77b97ce8745d5db11c12cd81c05c3c24d2a08 583662 libexif12_0.6.20-2_amd64.deb
Checksums-Sha256: 
 678d772004c51d85d7a7709172065cee2320b3bf264ffb80939767825d86f345 2061 libexif_0.6.20-2.dsc
 f7382c84961d8c0afac38c5cc624125a5be93e060be2ff7156ad274f1d3872be 8749 libexif_0.6.20-2.debian.tar.gz
 e2a947f3f45e11add33eadf50fb53f104cb6962adc08a1154185ca8c835fca26 385766 libexif-dev_0.6.20-2_amd64.deb
 fecd84392af590cf4d100475f0867050740352ffb32fbfd5868b535c456bfb56 583662 libexif12_0.6.20-2_amd64.deb
Files: 
 06cefdc2e2ec993e9dfa9cd723864b4c 2061 libs optional libexif_0.6.20-2.dsc
 18081f78b7d7b39ea6861e7e1ff42719 8749 libs optional libexif_0.6.20-2.debian.tar.gz
 ae117a35629ed9be58b3a7e971f127da 385766 libdevel optional libexif-dev_0.6.20-2_amd64.deb
 920b046598440425d8e36bb71fa47295 583662 libs optional libexif12_0.6.20-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCgAGBQJPIww+AAoJEEsHdyOSnULDtIMP/iA+VLrGeZsK6r1KSg9oGnvU
7DSQ0SCzodf694hOaCGoIr/nGNGMx7IFRGEThG1gr1XCjPYdP4IwhyHLKp/Xvnvq
MqUCV2b53YbOKwnFaxZPn0cWGha22S/2bk5IJJa+tWmkKfTbCKRxoTCUuIFZ9Mi+
KB5v79NvKqPQ0AERvlR03TL/ITZ4uyH2qXHBpc9yKH9zPQmb38cvQ4sNFZE1yHYN
FVxrMNwnaGrchJEMX7GHzSbCZPUf/8OUeqK97tgQ697k0pLHYl8PD9Wc++gaRPf1
epxYEvLMXhgWwjoqtz8HZj40P7SrGDNXgM+eviys1kYFq3jZucFOvhNskCxLwgBP
25j9TwCc4QLe9GLYr6rx0aVpvBhCIREHARM+e/CYEidIGuAqtZcIz/MD2AKf3NC9
K3V2cRW5/kzRx2rW/fPCsEybCgL4CDCFvVU51oUok97pCbgz/ZjHlDww3L48nKTn
q07MPX+6zXhFAyEGwDOseQTVPlY9apyrJW8KRTEX0gszozG9ICOF4MWwccPOwe+E
1ZH6LUbcMzICQiP6W4tLMsKenMqF/yf+3zo6aEDVZNHbWg1AEWqmvvFtg4wSPE0E
gC6BArlyuIpudQySk/DxgJ5rg5OVS+MmvzJg1+Z2dVHtQKvxo2DJtPRo562XvzVs
Y6q90KZebnYhd1MDoYaB
=Q8K9
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 06 Mar 2012 07:41:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 03:04:58 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.